org.apache.xmlbeans.impl.xb.xmlconfig

## Interface Qnametargetenum

All Superinterfaces:
  XmlAnySimpleType, XmlNormalizedString, XmlObject, XmlString, XmlToken, XmlTokenSource

All Known Implementing Classes:
  QnametargetenumImpl

    public interface Qnametargetenum
    extends XmlToken

An XML qnametargetenum(@http://xml.apache.org/xmlbeans/2004/02/xbean/config). This is an atomic type that is a restriction of org.apache.xmlbeans.impl.xb.xmlconfig.Qnametargetenum.

### Nested Class Summary

Nested Classes
`static class` `Qnametargetenum.Enum` Enumeration value class for org.apache.xmlbeans.impl.xb.xmlconfig.Qnametargetenum.

### Field Summary

Fields
`static Qnametargetenum.Enum` `ACCESSOR_ATTRIBUTE`
`static Qnametargetenum.Enum` `ACCESSOR_ELEMENT`
`static Qnametargetenum.Enum` `DOCUMENT_TYPE`
`static SimpleTypeFactory<Qnametargetenum>` `Factory`
`static int` `INT_ACCESSOR_ATTRIBUTE`
`static int` `INT_ACCESSOR_ELEMENT`
`static int` `INT_DOCUMENT_TYPE`
`static int` `INT_TYPE`
`static SchemaType` `type`
`static Qnametargetenum.Enum` `TYPE`

### Fields inherited from interface org.apache.xmlbeans.XmlObject

`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

### Method Summary

All Methods Instance Methods Abstract Methods
`StringEnumAbstractBase` `getEnumValue()`
`void` `setEnumValue(StringEnumAbstractBase e)`

### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

`getStringValue, setStringValue`

### Methods inherited from interface org.apache.xmlbeans.XmlObject

`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

### Field Detail

#### Factory

    static final SimpleTypeFactory<Qnametargetenum> Factory

#### type

    static final SchemaType type

#### TYPE

    static final Qnametargetenum.Enum TYPE

#### DOCUMENT_TYPE

    static final Qnametargetenum.Enum DOCUMENT_TYPE

#### ACCESSOR_ELEMENT

    static final Qnametargetenum.Enum ACCESSOR_ELEMENT

#### ACCESSOR_ATTRIBUTE

    static final Qnametargetenum.Enum ACCESSOR_ATTRIBUTE

#### INT_TYPE

    static final int INT_TYPE

See Also:
  Constant Field Values

#### INT_DOCUMENT_TYPE

    static final int INT_DOCUMENT_TYPE

See Also:
  Constant Field Values

#### INT_ACCESSOR_ELEMENT

    static final int INT_ACCESSOR_ELEMENT

See Also:
  Constant Field Values

#### INT_ACCESSOR_ATTRIBUTE

    static final int INT_ACCESSOR_ATTRIBUTE

See Also:
  Constant Field Values

### Method Detail

#### getEnumValue

    StringEnumAbstractBase getEnumValue()

#### setEnumValue

    void setEnumValue(StringEnumAbstractBase e)